aboutsummaryrefslogtreecommitdiffstats
path: root/hm/soispha/pkgs/scripts/wrappers
diff options
context:
space:
mode:
Diffstat (limited to 'hm/soispha/pkgs/scripts/wrappers')
-rwxr-xr-xhm/soispha/pkgs/scripts/wrappers/neorg8
1 files changed, 5 insertions, 3 deletions
diff --git a/hm/soispha/pkgs/scripts/wrappers/neorg b/hm/soispha/pkgs/scripts/wrappers/neorg
index c1f23edb..184d71b9 100755
--- a/hm/soispha/pkgs/scripts/wrappers/neorg
+++ b/hm/soispha/pkgs/scripts/wrappers/neorg
@@ -171,21 +171,23 @@ while [ "$#" -ne 0 ]; do
"t"*) # task
shift 1;
task_id="$1";
- [ "$task_id" ] || CONTEXT_open_current_task_context;
+ [ "$task_id" ] || (CONTEXT_open_current_task_context; exit 0);
CONTEXT_open_current_task_context_at_task_id "$task_id";
exit 0;
;;
"w"*) # workspace
shift 1;
workspace_to_open="$1";
- [ "$workspace_to_open" ] || WORKSPACE_open_neorg_workspace_prompt;
+ # TODO: Exit with 1 on error, instead of the 0 <2023-10-20>
+ [ "$workspace_to_open" ] || (WORKSPACE_open_neorg_workspace_prompt; exit 0);
WORKSPACE_open_neorg_workspace "$workspace_to_open";
exit 0;
;;
"p"*) # project
shift 1;
context_to_open="$1";
- [ "$context_to_open" ] || PROJECT_open_current_context_in_browser;
+ # TODO: Exit with 1 on error, instead of the 0 <2023-10-20>
+ [ "$context_to_open" ] || (PROJECT_open_current_context_in_browser; exit 0);
if ! grep -q "$context_to_open" "$(ptmp "%ALL_PROJECTS_NEWLINE")"; then
die "Your context ('$context_to_open') is not in the list of available contexts:
%ALL_PROJECTS_COMMA";